<?php
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://www.sa-mods.info
 *
 * The Initial Developer of the Original Code is
 * wayne Mankertz.
 * Portions created by the Initial Developer are Copyright (C) 2009-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):Danial15
 *
 * ***** END LICENSE BLOCK ***** */

function template_main() {
global  $cat, $shop, $message, $context, $settings, $scripturl,  $user_info, $shop_request, $txt,  $modSettings;

if(empty($modSettings['shop_Enable_shop'])) 
  die($txt['disabledshop']);
  {
	writeTabs();
			echo '
			
				
			<table width="100%" cellpadding="0" cellspacing="1" border="0" class="bordercolor">
			<tbody>
			      <tr>';
				  echo '
			         <td>
					  <table width="100%">
					  	<tbody>
							<tr><td>
					 
				<div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop'].'</div></span>
			</h3>
						</div>
			</td>
			</tr><tr>
					<td class="windowbg" valign="top" style="padding: 7px; margin: 7px;">';
						if(isset($context['user']['avatar']['image']))
				{
					echo  $context['user']['avatar']['image'];
				}
				else
				{
					echo' <img border="0" src="',$settings['images_url'],'/default_avatar.png" width="50" height="50" alt=""/>';
				}
					 echo' ',$txt['shop_shop_welcome2'],' ',$context['user']['name'],'!  	
					
					<div style="font-size: 0.85em; padding-top: 1ex;">
'; 
	$userid = $context['user']['id'];
		echo'', sprintf($txt['shop_welcome_full'], formatcash($modSettings['shopPointTopic']), formatcash($modSettings['shopPointPost']));
						
	// Are we using any bonuses at all?
	if ($modSettings['shopPointWord'] != 0 || $modSettings['shopPointChar'] != 0)
	{
		echo $txt['shop_welcome_full2'];
		// Are they capped?
		if ($modSettings['shopPointLimit'] != 0)
			printf($txt['shop_welcome_full3'], formatcash($modSettings['shopPointLimit']));
	}
		$userid = $context['user']['id'];
	echo '
							<br /><br />
							', sprintf($txt['shop_currently_have1'], formatcash(shop_Cash($userid))), sprintf($txt['shop_currently_have2'], formatcash(shop_doCashBank($userid))) , '
							<br /><br />';
	// Any bonuses? Show the heading
	if ($modSettings['shopPointWord'] != 0 || $modSettings['shopPointChar'] != 0)
		echo '
							<strong>', $txt['shop_bonuses'], '</strong><br />';
	// Are we using the points per word bonus?
	if ($modSettings['shopPointWord'] != 0)
		echo '
							', formatcash($modSettings['shopPointWord']), ' ', $txt['shop_per_word2'], '<br />';
						
	// Are we using the points per char bonus?
	if ($modSettings['shopPointChar'] != 0)
		echo '
							', formatcash($modSettings['shopPointChar']), ' ', $txt['shop_per_char2'], '<br />';
		
					echo'		<br />
						</div>
					</td>
				</tr>
			</tbody>
			</table>
			</td>';
			
			if($modSettings['ShopCbEN'] == 1){
			echo '
			<td style="width: 1ex;">&nbsp;</td>
			<td style="width: 25%;" valign="top">
			<table style="width: 100%;">
					  	<tbody>
							<tr><td>
					 
				<div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">', $modSettings['ShopCbTitle'], '</div></span>
			</h3>
						</div>
			</td>
			</tr><tr>
					<td class="windowbg2" valign="top" style="padding: 7px; margin: 7px;">
						', $modSettings['ShopCbContent'], '
					</td>
				</tr>
			</tbody>
			</table>
			</td>';
			}
			
		echo '
			
			</tr>
		</table>';
		
		
			if($modSettings['Shop_blocks'])
       {			
echo'<br />
<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
				<td valign="top">
					<table width="100%" cellpadding="1" cellspacing="0" border="0" class="bordercolor">
						<tr>
			          <td>
				<div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_bank_richpoc'].'</span>
			</h3>
						</div></tr>
			          </td>
						<tr>
							<td class="windowbg2" valign="top" style="height: 18ex;">
								';
	// Richest people (in pocket)
	foreach ($context['shop_richest'] as $row)
		echo '
								<strong><a href="', $scripturl, '?action=profile;u=', $row['id_member'], '">', $row['real_name'], '</a></strong> - ', formatcash($row['cash']), '<br />';
	echo '					
		</td>
			</tr>
				</table>
				</td>';

				echo'<td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 50%;">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor" id="supportVersionsTable">
						<tr>
			          <td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_bank_richb'].'</span>
			</h3</div></tr>
			          </td>
						<tr>
							<td class="windowbg2" valign="top" style="height: 18ex;">
						';
		// Richest people (in bank)
		foreach ($context['shop_richestBank'] as $row)
			echo '
								<strong><a href="', $scripturl, '?action=profile;u=', $row['id_member'], '">', $row['real_name'], '</a></strong> - ', formatCash($row['cashBank']), '<br />';
		echo '</td>
				</tr>
					</table>
				</td>
			</tr>
		</table>';
}
if($modSettings['Shop_blocks2'])
       {			
			echo'<br />
			<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
				<td valign="top">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr>
			          <td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_purchasers'].'</span>
			</h3></div></tr>
			          </td>
						<tr>
							<td class="windowbg2" valign="top" style="height: 18ex;">';
	foreach ($context['shop_purch'] as $row)
		echo '
								<strong><a href="', $scripturl, '?action=profile;u=', $row['ID_MEMBER'], '">', $row['realName'], '</a></strong> - ', formatcash($row['purchHis']), '<br />';
	echo '					
		</td>
			</tr>
				</table>
				</td>';

				echo'<td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 50%;">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor" id="supportVersionsTable">
						<tr>
			          <td>
					<div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_tradeHis'].'</span>
			</h3></div></tr>
			          </td><tr>
							<td class="windowbg2" valign="top" style="height: 18ex;">
						';
	foreach ($context['shop_tradeHis'] as $row)
			echo '
								<strong><a href="', $scripturl, '?action=profile;u=', $row['ID_MEMBER'], '">', $row['realName'], '</a></strong> - ', $row['tradeHis'], '<br />';
		echo '</td>
				</tr>
					</table>
				</td>
			</tr>
		</table>';
}
			if($modSettings['Shop_blocks1'])
       {			
			echo'<br />
			<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
				<td valign="top">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr>
			          <td>
						<div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_Hot_Items'].'</span>
			</h3></div></tr>
			          </td>
						<tr>
							<td class="windowbg2" valign="top" style="height: 18ex;">
								';
	foreach ($context['shop_sold'] as $row)
		echo '<img src="', $settings['images_url'], '/shopimg/item_images/',$row['image'],'" alt="'.$row['description'],'" /> 
		',$row['name'],' (',$row['sold'],')<br />';
	echo '					
		</td>
			</tr>
				</table>
				</td>';

				echo'<td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 50%;">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor" id="supportVersionsTable">
						<tr>
			          <td>
						<div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_Recently_Purchased'].'</span>
			</h3></div></tr>
			          </td>
			<tr>
							<td class="windowbg2" valign="top" style="height: 18ex;">
						';
		foreach ($context['shop_purchHis'] as $row)
		echo '<img src="', $settings['images_url'], '/shopimg/item_images/',$row['image'],'" alt="',$row['description'],'" /> 
		',$row['name'],' (',$row['sold'],')<br />';
		echo '</td>
				</tr>
					</table>
				</td>
			</tr>
		</table>';
}



		template_shop_copyright();
}
}
// Main page template
function template_shop() {

// Gotta global it other wise thing dont work properly
	global  $cat, $shop, $context, $settings, $scripturl,  $boardurl, $user_info, $shop_request, $txt,  $modSettings;	
		writeTabs();		
	
			echo'';echo'<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
			      <tr>
			            <td ><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_cats'].'</div></span>
			</h3></div></td>
			       </tr>
			     </table>';
			
		$cat = shop_readCat();
		$counter = 0;
		
		foreach ($cat as $catid => $catinfo) {
		
			if ($counter % 4 == 0) {
				echo '	<table width="100%" cellpadding="1" cellspacing="1" border="0" >
				<tr class="windowbg">';
			}
			echo '<td width="25%">';
			
				echo '<img width="32" height="32" src="', $settings['images_url'], '/shopimg/item_images/',$catinfo['image'], '" alt=""/> <a href="',$scripturl,'?action=shop;sa=buy;cat=',$catid,'">',$catinfo['name'], ' </a>(',$catinfo['count'], ')';
			
			echo '</td>';
			
			if ($counter % 4 != 0 && $counter != sizeof($cat)) {
				
				//echo '	</tr>';
			}
			$counter++;
		}

		if ($counter % 4 != 0) {
			echo '<td colspan="2" align="left" width="100%">&nbsp;</td></tr>';
		}
		
		
		echo '
						</table>';
	echo '<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
			      <tr>
			            <td ><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_shop'].'</div></span>
			</h3></div></td>
			       </tr>
			     </table>
<table width="100%" cellspacing="1" cellpadding="1" class="bordercolor">
   
	<tr align="center" class="windowbg"><td colspan="12"><span style="color: red; font-weight: bold;">',(isset($shop['shop_message']) ? $shop['shop_message'] : ''),'</span></td></tr>';
	
	$cat = shop_readCat();
	foreach ($cat as $catid => $catinfo) 
	{
		
		if($_GET['cat'] == $catid)
		{
			$data = shop_fetchitems('',''.$catid);
			$title = array($txt['shop_shop_title'],$txt['shop_shop_desc'],$txt['shop_shop_price'],$txt['shop_shop_stock'],$txt['NumSold'],$txt['shop_shop_action']);
	
				
			echo '<tr>';
		
				foreach($title as $each)
					echo '<td class="titlebg" align="center">',$each,'</td>';
					echo '<td class="titlebg" align="center">',$txt['shop_owners1'],'</td>';
		
			echo '</tr>';

	  foreach ($data as $id => $info) 
			{
				echo '<tr class="windowbg">
  <td width="15%"><img src="', $settings['images_url'], '/shopimg/item_images/',$info['image'], '" alt="" /> ', $info['name'] ,'</td>
   
		 <td align="center" width="15%" class="windowbg2"> 
     ',$info['description'],'

        </td>
      <td align="center" width="15%" class="windowbg">
      ', $modSettings['shopprefix'],'',$info['price'],'',$modSettings['shopsurfix'], '
        </td>
      <td align="center" width="15%" class="windowbg2">';
        if ($info['count'])
	  echo' ',$info['count'],'';
	  else
	  echo '<b>',$txt['shop_soldout'],'</b>';
      echo'</td>
	   <td align="center" width="15%" class="windowbg">
      ',$info['sold'],' 
        </td>
      <td align="center" width="15%" class="windowbg2">';
  
      if($info['status'] == 1)
				{
	  if ($user_info['cash'] >= $info['price'])
	  echo'	<a href="',$scripturl,'?action=shop;sa=buy;cat=',$_GET['cat'],';buy;itemid=',$id,'">',$txt['shop_buynow'],'</a>';
	  else

	  echo '
			<b>', sprintf($txt['shop_need'], formatcash($info['price'] - $user_info['cash'])), '</b>';
	  echo'</td>';
				}
	  else
		    {
	  echo '',$txt['shop_shop_itemdisabled'],'';
		    }
			
	echo' <td align="center" width="15%" class="windowbg">';
  
     echo'<a href="', $scripturl, '?action=shop;sa=owners;users=',$id,'">', $txt['shop_owners'], '</a>';
	  echo'</td></tr>';
		}
       
	}
	}
      echo ' </table>
	  <table class="bordercolor"  width="100%" cellspacing="1" cellpadding="5">
	  <tr><div class="cat_bar">
							<h3 class="catbg">
            <td><b>',$txt['pages'],'</b> ',(isset($context['page_index']) ? $context['page_index'] : ''),' </td>
			</h3></div>
      </tr></table>
';
template_shop_copyright();
}

function template_inventory2() {
global $shop, $txt, $settings, $context, $scripturl;
	global $userid;
	writeTabs();	
	echo '<form action="',$scripturl,'?action=shop;sa=inventory;next" method="post">
	<br /><table class="bordercolor" border="0" cellpadding="1" cellspacing="1" width="100%">
			<tr>
			          <td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_inventory2'].'</div></span>
			</h3><div></tr>
			          </td>
			
			<tr class="windowbg"><td colspan="10">',$txt['shop_inv_ins2'],'
			<input type="text" size="10" name="thename" /> 
			<input type="submit" value="',$txt['shop_inv_submit'],'" />
			<a href="', $scripturl, '?action=findmember;input=thename;sesc=', $context['session_id'], '" onclick="return reqWin(this.href, 350, 400);"><img src="', $settings['images_url'], '/icons/assist.gif" border="0" alt="', $txt['find_members'], '" /> ', $txt['find_members'], '</a><br />',
			(isset($shop['inv_message']) ? $shop['inv_message'] : '')
			,'</td>
			</tr>
		 </table></form>';
		template_shop_copyright();
}
	

function template_inventory() {

	global $shop, $txt,$boardurl, $modSettings, $settings, $context, $scripturl;
	global $userid;
	// Setup their permissions
		    $allowedtrade = allowedTo('view_trade');		
	writeTabs();	
	echo'<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
			      <tr>
			            <td ><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_inventory'].'</div></span>
			</h3></div></td>
			       </tr>
			     </table>';
	echo '<table class="bordercolor" border="0" cellpadding="1" cellspacing="1" width="100%">
			';
			
	if(isset($userid))
	{
		$title = array($txt['shop_inv_title'],$txt['shop_shop_desc'],$txt['shop_inv_price'],$txt['shop_inv_comment'],);
		//$title2 = array($txt['shop_use'],$txt['shop_tradeitem'],$txt['shop_admin_invd'],);
		$data = shop_fetchitems($userid, '');

		echo '<tr>';
		foreach($title as $each)
			echo '<td align="center" class="titlebg">',$each,'</td>';
				if($userid == $context['user']['id']){
			echo '<td align="center" class="titlebg">',$txt['shop_use'],'</td>';
			echo '<td align="center" class="titlebg">',$txt['shop_tradeitem'],'</td>';
			echo '<td align="center" class="titlebg">',$txt['shop_admin_invd'],'</td>';}
		echo '</tr>';
	
		
		foreach ($data as $id => $info) 
		{
		
			echo '<tr >
					<td align="left" width="15%" class="windowbg"><img src="', $settings['images_url'], '/shopimg/item_images/',$info['image'], '" alt="" />
					', $info['name'] ,'</td>';		
			echo'<td align="center" width="15%" class="windowbg2">',$info['description'],'</td>';
			
			echo'<td align="center" width="15%" class="windowbg">', $modSettings['shopprefix'],'',$info['price'],'',$modSettings['shopsurfix'], '</td>';		
			
			echo '<td align="center" width="15%" class="windowbg2"><i>',$info['comment'],'</i>';
			
			
			if ($info['trading'] == 1)
			{
			echo'<br /><i>', sprintf($txt['shop_trading'], formatcash($info['tradecost'])), '</i>';
			}
			echo'</td>';
			if($userid == $context['user']['id']){
			echo'<td align="center" width="15%" class="windowbg">';
			
			if ($info['input_needed'] == false)
				
			
					echo ' <a href="',$scripturl,'?action=shop;sa=use2;item=',$id,'">',$txt['shop_use'],'</a>';
					
			
							// If the item requires input - Go to inv2
				else
					
					echo '	<a href="',$scripturl,'?action=shop;sa=use;item=',$id,'">',$txt['shop_use'],'</a>';
					
					
					echo'</td>';
					
					}
					if($userid == $context['user']['id'])
			{
					echo'<td align="center" width="15%" class="windowbg2">';
						if ($info['trading'] == 0)
			{
			if ($allowedtrade)
							echo '<a href="', $scripturl, '?action=shop;sa=trade_sell;item=',$id,'">', $txt['shop_tradeitem'], '</a>';
					}
				
					if ($info['trading'] == 1)
			{
				// Tell them that they can't use it, and give the option to stop trading
				echo '
						<a href="', $scripturl, '?action=shop;sa=trade_stop;item=',$id,'">', $txt['shop_stoptrade'], '</a>';
			}	
			}
					echo'</td>';
					if($userid == $context['user']['id']){
					echo'<td align="center" width="15%" class="windowbg">';
					
			
				echo'	<a href="',$scripturl,'?action=shop;sa=inventory;next;userid=',$userid,';discard;item=',$id,'">',$txt['shop_admin_invd'],'</a>';
				}
				echo'</td>';
			echo'</tr>';
			
}
}	
	echo '<tr align="center" class="windowbg">
	<td colspan="12" class="error">
	',(isset($shop['inv_message']) ? $shop['inv_message'] : ''),'
	</td>
	</tr>
	</table>
	<table class="bordercolor"  width="100%" cellspacing="1" cellpadding="5">
	  <tr class="catbg">
            <td><b>',$txt['pages'],'</b> ',(isset($context['page_index']) ? $context['page_index'] : ''),' </td>
      </tr></table>';
	template_shop_copyright();
}

function template_tradeItem()
{
	global $txt, $context, $modSettings, $scripturl, $settings;
		writeTabs();
	echo ' <form action="', $scripturl, '?action=shop;sa=trade_sell2" method="post">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="tborder">
			<div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_tradeitem'].'</div></span>
			</h3></div>
			<tr valign="top" class="windowbg2">
				<td style="padding-bottom: 2ex;" width="20%">
					<input type="hidden" name="id" value="', $_GET['item'], '" />
					', $txt['shop_price'], ': <input type="text" name="sellfor" value="', $context['shop_paid'], '" />
					<input type="submit" value="', $txt['shop_next'], '" /><br /><br />
					', $txt['shop_trade_message'], '
				</td>
			</tr>
		</table></form>';
			template_shop_copyright();
}

function template_bank() {
	
	global $txt, $context, $modSettings, $scripturl, $settings;
	global $shop;
	if(empty($modSettings['shop_Enable_Bank'])) 
  die($txt['disabledbank']);
  {
	$userid = $context['user']['id'];
	writeTabs();
	echo '
		<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
			<tr><td>
			<div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_bank'].'</div></span>
			</h3></div></td>
			</tr>
			<tr>
				<td class="windowbg" valign="top" style="padding: 7px;">';
						if(isset($context['user']['avatar']['image']))
				{
					echo  $context['user']['avatar']['image'];
				}
				else
				{
					echo' <img border="0" src="',$settings['images_url'],'/default_avatar.png" width="50" height="50" alt=""/>';
				}
					 echo' ', $txt['shop_bank_welcome'], ' ',$context['user']['name'],'<br/><br />
					<div style="font-size: 0.85em; padding-top: 1ex;">', ($modSettings['shopBInterest'] != 0 ? (sprintf($txt['shop_bank_interest'],$modSettings['shopBInterest'])) . '<br />' : ''),					
						($modSettings['shopdmin'] != 0 ? $txt['shop_bank_minDeposit'] . formatCash($modSettings['shopdmin']) . '<br />' : ''),
						($modSettings['shopwmin'] != 0 ? $txt['shop_bank_minWithdraw']  . formatCash($modSettings['shopwmin']) . '<br />' : ''),
						($modSettings['shopdmax'] != 0 ? $txt['shop_bank_maxDeposit'] . formatCash($modSettings['shopdmax']) . '<br />' : ''),
						($modSettings['shopwmax'] != 0 ? $txt['shop_bank_maxWithdraw'] . formatCash($modSettings['shopwmax']) . '<br />' : ''),
						($modSettings['shopdfee'] != 0 ? $txt['shop_bank_fee_deposit'] . formatCash($modSettings['shopdfee']) . '<br />' : ''),
						($modSettings['shopwfee'] != 0 ? $txt['shop_bank_fee_withdraw'] . formatCash($modSettings['shopwfee']) . '<br />' : ''),'
					</div>
				</td>
			</tr>
		</table>
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.0ex;">
			<tr valign="top" class="windowbg">
				<td style="padding-bottom: 2ex;" width="20%">';
				if(isset($_GET['banking'])) 
			{
				echo $shop['bank_message'];
			}
			
			echo sprintf($txt['shop_current_bank'], formatCash(shop_Cash($userid)), formatCash(shop_doCashBank($userid))) .'<br />'; 
					echo'<form action="', $scripturl, '?action=shop;sa=bank;banking" method="post">
					  <input type="radio" name="type" value="deposit" id="deposit" checked="checked" />
					  <label for="deposit">', $txt['shop_bank_deposit'], '</label>
					  <input type="radio" name="type" value="withdraw" id="withdraw" />
					  <label for="withdraw">', $txt['shop_bank_withdraw'], '</label>
					  <br />
					  <label>', $txt['shop_bank_amount'], ': ', $modSettings['shopprefix'], ' 
					  <input type="text" name="amount" size="5" /> ', $modSettings['shopsurfix'], '
					  </label>
					  <br /><br />
					  <input type="submit" value="',$txt['shop_bank_submit'],'" />
					</form>
				</td>
			</tr>
		</table>';
		template_shop_copyright();
}
}
function template_message()
{
	global $context;	
writeTabs();
		echo '
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder">
			<tr valign="top" class="windowbg2">
				<td style="padding-bottom: 2ex;" width="20%">
					', $context['shop_buy_message'], '
				</td>
			</tr>
		</table>';
	template_shop_copyright();
}
function template_userTrade()
{
	global $txt, $context, $user_info, $modSettings, $scripturl, $settings, $boardurl;
		
		if(empty($modSettings['shop_Enable_trade'])) 
  die($txt['disabledtrade']);
  {
	writeTabs();
	echo '
		<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
			<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_trade'].'</div></span>
			</h3></div></td></tr>
			<tr>
				<td class="windowbg" valign="top" style="padding: 7px;">';
						if(isset($context['user']['avatar']['image']))
				{
					echo  $context['user']['avatar']['image'];
				}
				else
				{
					echo' <img border="0" src="',$settings['images_url'],'/default_avatar.png" width="50" height="50" alt=""/>';
				}
				echo'	<b>', $txt['shop_trade_welcome'], ' ',$context['user']['name'],'</b>
					<div style="font-size: 0.85em; padding-top: 1ex;">', $txt['shop_trade_welcome_full'], '</div>
				</td>
			</tr>
		</table>
		<br /><table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
						<tr valign="top" class="titlebg">
							<td  width="32">
								<b>', $txt['shop_name'], '</b>
							</td>
							<td>
								<b>', $txt['shop_description'], '</b>
							</td>
							<td>
								<b>', $txt['shop_price'], '</b>
								</td>
						  </tr>';
						
	$alternating = 'windowbg';
	// Loop through all items
	foreach ($context['shop_trade_items'] as $row)
	{

		echo '
						<tr valign="top" class="', $alternating, '">
							<td>
								<img border="0" src="', $settings['images_url'], '/shopimg/item_images/', $row['image'], '" alt="" /> ', $row['name'], '
							</td>
							
							<td>
								', $row['desc'], '<br />
								<i>', sprintf($txt['shop_trade_saleby'], $row['realName']), '</i>
							</td>
							<td width="18%">
								', $txt['shop_price'], ': ', $row['tradecost'], '<br />';
							$userid = $context['user']['id'];		
		// If the user has enough money to buy it
		if (shop_Cash($userid) >= $row['tradecost'])
			// Show the 'Buy now' link
			echo '
								<a href="', $scripturl, '?action=shop;sa=trade_buy;id=', $row['id'], '">', $txt['shop_buynow'], '</a>';
		// Otherwise
		else
			// They can't afford it - Tell them to start saving their money :)
			echo '
								<b>', sprintf($txt['shop_need'], formatcash($row['tradecost'] - shop_Cash($userid))), '</b>';
		
		echo '
			</td>
				</tr>';

		$alternating = ($alternating == 'windowbg') ? 'windowbg2' : 'windowbg';
	}
						
	echo '
		</table>';
			template_shop_copyright();
}
}
function template_gift() {

	global $shop, $txt, $modSettings, $settings, $context, $scripturl;
	
	if(empty($modSettings['shop_Enable_Gift'])) 
  die($txt['disabledgift']);
  {
  
    $userid = $context['user']['id'];
	writeTabs();
	echo '<form action="',$scripturl,'?action=shop;sa=gift;send" method="post" />
	<br /><table class="bordercolor" border="0" cellpadding="1" cellspacing="1" width="100%">
	<tr>
	<td>
	<div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_gift'].'</div></span>
			</h3></div></td></tr>
			
			<tr class="windowbg" align="center"><td colspan="10">',
			(isset($shop['gift_message']) ? $shop['gift_message'] : '')
			,$txt['shop_gift_ins'],' <br /> <br />
			',$txt['shop_gift_name'],'<br /><br />
			<a href="', $scripturl, '?action=findmember;input=thename;sesc=', $context['session_id'], '" onclick="return reqWin(this.href, 350, 400);"><img src="', $settings['images_url'], '/icons/assist.gif" border="0" alt="', $txt['find_members'], '" /> ', $txt['find_members'], '</a>
			<br /><br /><input type="text" size="10" name="thename" value="'.(isset($_GET['u']) ? $_GET['u'] : '').'" />  <br /><br />
			',$txt['shop_gift_money'],'<br /><br /><input type="text" name="theamount" size="10"/> <br /><br />
			  '.$txt['Shopg_mes'].':<br /><br /><input type="text" name="themes" size="50"/><br /><br />
				',$txt['shop_gift_item'],'<br /><br /><select name="theitem" >
						';
						if(empty($context['shop_send_items']))
                         {
						echo'<option value="0">'.$txt['Shop_send_no_item'].'</option>';
                         }	
                        else	
                         {		
						echo'<option value="0">'.$txt['Shop_send_non'].'</option>';
									
	                     foreach ($context['shop_send_items'] as $row) 
		echo '
			<option value="', $row['id'], '">', $row['name'], '</option>';
						 }
	echo '
									</select><br /><br />
			
			<input type="submit" value="',$txt['shop_inv_submit'],'" /></td>
			</tr></table>';
			template_shop_copyright();
}//',$txt['shop_gift_item'],'<br /><br /><input type="text" name="theitem" size="10"/> <br /> <br />
}

function template_pairs() {

global $shop, $txt, $result1, $user_info, $result2, $result3, $modSettings, $settings, $context, $scripturl;
	writeTabs();
	echo '<table class="bordercolor" border="0" cellpadding="1" cellspacing="1" width="100%">
			<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_game_pairs'].'</div></span>
			</h3></div></td></tr>';
	echo '<tr class="windowbg"><td colspan="10">';
			if(isset($context['user']['avatar']['image']))
				{
					echo  $context['user']['avatar']['image'];
				}
				else
				{
					echo' <img border="0" src="',$settings['images_url'],'/default_avatar.png" width="50" height="50" alt=""/>';
				}
				echo'	<b>',$txt['shop_game_pairsw'],' ',$context['user']['name'],'</b>
					<div style="font-size: 0.85em; padding-top: 1ex;">',$txt['shop_game_pairsd'],'</div>
				</td>
			</tr></table><br /><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
				<td valign="top">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_game_result'].'</div></span>
			</h3></div></td></tr>
						
						<tr>
							<td class="windowbg2" align="center" style="height: 18ex;">
<br /><br />
	', $context['slotm'], '';
	if(isset($context['win']))
	{
	echo'', $context['win'], '';
	}
	if(isset($context['nowin']))
	{
	echo'', $context['nowin'], '';
	}
echo'<form action="',$scripturl,'?action=shop;sa=gameroom;game=pairs" method="post">
<input type="hidden" name="payline" value="(array($stop1, $stop2, $stop3))" /><br /><br />
<input type="submit" value="Deal" />
</form>	
<br /><div class="windowbg2">',$txt['shop_game_yh'],' ',$modSettings['shopprefix'],'' .$user_info['cash']. ' ',$modSettings['shopsurfix'],'</div>
';
	echo '					
		</td>
			</tr>
			</table>
				</td><td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 50%;">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_game_paytable'].'</div></span>
			</h3></div></td></tr>
						
	                           	<tr>
									<td class="windowbg2">',$txt['pairssoon'],'</td>			
								</tr>
					</table>
				</td>
			</tr>
		</table>';
				template_shop_copyright();
}

function template_slots() {

global $shop, $txt, $result1, $user_info, $result2, $result3, $modSettings, $settings, $context, $scripturl;
	
	writeTabs();
	echo '<table class="bordercolor" border="0" cellpadding="1" cellspacing="1" width="100%">
	<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_game_slots'].'</div></span>
			</h3></div></td></tr>
			';
	echo '<tr class="windowbg"><td colspan="10">';
			if(isset($context['user']['avatar']['image']))
				{
					echo  $context['user']['avatar']['image'];
				}
				else
				{
					echo' <img border="0" src="',$settings['images_url'],'/default_avatar.png" width="50" height="50" alt=""/>';
				}
				echo'	<b>',$txt['shop_game_sw'],' ',$context['user']['name'],'</b>
					<div style="font-size: 0.85em; padding-top: 1ex;">',$txt['shop_game_slots_desc'],'</div>
				</td>
			</tr></table><br /><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
				<td valign="top">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game_result'].'</span>
			</h3></div></td></tr>
						
						<tr>
							<td class="windowbg2" align="center" style="height: 18ex;">
<br /><br />
	', $context['slotm'], '';
	if(isset($context['win']))
	{
	echo'', $context['win'], '';
	}
	if(isset($context['nowin']))
	{
	echo'', $context['nowin'], '';
	}
echo'<form action="',$scripturl,'?action=shop;sa=gameroom;game=slots" method="post">
<input type="hidden" name="payline" value="(array($stop1, $stop2, $stop3))" /><br /><br />
<input type="submit" value="',$txt['shop_game_spin'],'" />
</form>	
<br /><div class="windowbg2">',$txt['shop_game_yh'],' ',$modSettings['shopprefix'],'' .$user_info['cash']. ' ',$modSettings['shopsurfix'],'</div>
';
	echo '					
		</td>
			</tr>
			</table>
				</td><td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 50%;">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game_paytable'].'</span>
			</h3></div></td></tr>
						
	                           	<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/slots/7.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/7.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/7.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/> = ',$modSettings['shopprefix'],'2000',$modSettings['shopsurfix'],'</td>			
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/slots/bell.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/bell.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/bell.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/> = ',$modSettings['shopprefix'],'150',$modSettings['shopsurfix'],'</td>
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/slots/lemon.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/lemon.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/lemon.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/> = ',$modSettings['shopprefix'],'20',$modSettings['shopsurfix'],'</td>
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/slots/plum.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/plum.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/plum.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/> = ',$modSettings['shopprefix'],'65',$modSettings['shopsurfix'],'</td>
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/slots/orange.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/orange.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/orange.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/> = ',$modSettings['shopprefix'],'75',$modSettings['shopsurfix'],'</td>
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/slots/cherry.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/cherry.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/cherry.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/> = ',$modSettings['shopprefix'],'50',$modSettings['shopsurfix'],'</td>						
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/slots/dollar.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/dollar.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/dollar.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/> = ',$modSettings['shopprefix'],'100',$modSettings['shopsurfix'],'</td>								
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/slots/melon.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/melon.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/melon.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/> = ',$modSettings['shopprefix'],'700',$modSettings['shopsurfix'],'</td>	
								</tr>							
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/slots/grapes.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/grapes.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/slots/grapes.png" width="25" height="25" alt="',$txt['shop_game_slots'],'"/> = ',$modSettings['shopprefix'],'400',$modSettings['shopsurfix'],'</td>								
								</tr>							
						
					</table>
				</td>
			</tr>
		</table>';
				template_shop_copyright();
}

function template_dice() {

global $shop, $txt, $result1, $user_info, $result2, $result3, $modSettings, $settings, $context, $scripturl;
	
	writeTabs();
	echo '<table class="bordercolor" border="0" cellpadding="1" cellspacing="1" width="100%">
	<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_game_dice'].'</div></span>
			</h3></div></td></tr>
			';
	echo '<tr class="windowbg"><td colspan="10">';
			if(isset($context['user']['avatar']['image']))
				{
					echo  $context['user']['avatar']['image'];
				}
				else
				{
					echo' <img border="0" src="',$settings['images_url'],'/default_avatar.png" width="50" height="50" alt=""/>';
				}
				echo'	<b>',$txt['shop_game_dicew'],' ',$context['user']['name'],'</b>
					<div style="font-size: 0.85em; padding-top: 1ex;">',$txt['shop_game_diced'],'</div>
				</td>
			</tr></table><br /><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
				<td valign="top">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game_result'].'</span>
			</h3></div></td></tr>
						
						<tr>
							<td class="windowbg2" align="center" style="height: 18ex;">
<br /><br />
	', $context['dice'], '';
	if(isset($context['win']))
	{
	echo'', $context['win'], '';
	}
	if(isset($context['nowin']))
	{
	echo'', $context['nowin'], '';
	}
echo'<form action="',$scripturl,'?action=shop;sa=gameroom;game=dice" method="post">
<input type="hidden" name="payline" value="(array($stop1, $stop2, $stop3))" /><br /><br />
<input type="submit" value="',$txt['shop_game_rolld'],'" />
</form>	
<br /><div class="windowbg2">',$txt['shop_game_yh'],' ',$modSettings['shopprefix'],'' .$user_info['cash']. ' ',$modSettings['shopsurfix'],'</div>
';
	echo '					
		</td>
			</tr>
			</table>
				</td><td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 50%;">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game_paytable'].'</span>
			</h3></div></td></tr>
						
	                           	<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice6.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice6.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/>  = ',$modSettings['shopprefix'],'2000',$modSettings['shopsurfix'],'</td>			
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice5.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice5.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/> =  ',$modSettings['shopprefix'],'1500',$modSettings['shopsurfix'],'</td>
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice4.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice4.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/> = ',$modSettings['shopprefix'],'900',$modSettings['shopsurfix'],'</td>						
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice3.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice3.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/> = ',$modSettings['shopprefix'],'750',$modSettings['shopsurfix'],'</td>								
								</tr>
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice2.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice2.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/> = ',$modSettings['shopprefix'],'550',$modSettings['shopsurfix'],'</td>	
								</tr>							
								<tr>
									<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice1.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/><img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice1.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/> = ',$modSettings['shopprefix'],'150',$modSettings['shopsurfix'],'</td>								
								</tr>
								</table>								
							</td>
						</tr>
						</table>';
				template_shop_copyright();
}

function template_numberslots() {
global $context, $txt, $scripturl, $settings, $modSettings, $user_info;

writeTabs();
echo '
<table class="bordercolor" border="0" cellpadding="1" cellspacing="1" width="100%">
<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_game_numberslots'].'</div></span>
			</h3></div></td>
						</tr>
			';
	echo '<tr class="windowbg"><td colspan="10">';
			if(isset($context['user']['avatar']['image']))
				{
					echo  $context['user']['avatar']['image'];
				}
				else
				{
					echo' <img border="0" src="',$settings['images_url'],'/default_avatar.png" width="50" height="50" alt=""/>';
				}
				echo'	<b>',$txt['shop_game_numberslotsw'],' ',$context['user']['name'],'</b>
					<div style="font-size: 0.85em; padding-top: 1ex;">',$txt['shop_game_slots_desc'],'</div>
				</td>
			</tr></table><br /><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
				<td valign="top">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game_result'].'</span>
			</h3></div></td>
						</tr>
						
						<tr>
			<td class="windowbg2" align="center" style="height: 18ex;">
<br /><br />';

  $r1 = rand(0,9);
  $r2 = rand(0,9);
  $r3 = rand(0,9);
  
  echo '<div align="center"><div class="windowbg2"><h1> <font color="red">  ' .$r1. '      ' .$r2. '     ' .$r3. '</font></h1></div></div>';
  if ($r1 == $r2) {
    if ($r2 == $r3) {
	echo '<div class="windowbg2"><b>',$txt['shop_game_numberslots_cw'],' + ',$modSettings['shopprefix'],'2000',$modSettings['shopsurfix'],'</b></div>';
    }
    else {
      echo '<div class="windowbg2"><b>',$txt['shop_game_numberslots_ft'],' + ',$modSettings['shopprefix'],'300',$modSettings['shopsurfix'],'</b></div>';
    }
  }
  elseif ($r2 == $r3) {
    if ($r1 != $r2) {
      echo '<div class="windowbg2"><b>',$txt['shop_game_numberslots_st'],' + ',$modSettings['shopprefix'],'250',$modSettings['shopsurfix'],'</b></div>';
    }
  }
  elseif ($r1 == $r3) {
    echo '<div class="windowbg2"><b>',$txt['shop_game_numberslots_fl'],' + ',$modSettings['shopprefix'],'350',$modSettings['shopsurfix'],'</b></div>';
  }
  else {					
    echo '<div class="windowbg2">',$txt['shop_game_numberslots_yl'],'<i> - ',$modSettings['shopprefix'],'100',$modSettings['shopsurfix'],'</i></div>';
  }
if ($context['gameroom'] == "numslots") {

  echo '<div align="center">';
  echo '<br /><form action="',$scripturl,'?action=shop;sa=gameroom;game=numslots" method="post">';
  echo '<input type="hidden" name="payline" value="(array($stop1, $stop2, $stop3))" />
        <input type="submit" value="',$txt['shop_game_spin'],'"  />
        </form></div>';
}

echo '<br /><div class="windowbg2">',$txt['shop_game_yh'],' ',$modSettings['shopprefix'],'' .$user_info['cash']. ' ',$modSettings['shopsurfix'],'</div>';
echo '</td>
				</tr>
		</table>
				</td>
				<td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 50%;">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game_paytable'].'</span>
			</h3></div></td></tr>
						
	                         <tr>
						<td class="windowbg2">',$txt['shop_game_numberslots_cw'],' = ',$modSettings['shopprefix'],'2000',$modSettings['shopsurfix'],'</td>			
								</tr>	
                               <tr>
						<td class="windowbg2">',$txt['shop_game_numberslots_ft'],' = ',$modSettings['shopprefix'],'300',$modSettings['shopsurfix'],'</td>			
								</tr>	
                              <tr>
						<td class="windowbg2">',$txt['shop_game_numberslots_st'],' = ',$modSettings['shopprefix'],'250',$modSettings['shopsurfix'],'</td>			
								</tr>	
                      <tr>
						<td class="windowbg2">',$txt['shop_game_numberslots_fl'],' = ',$modSettings['shopprefix'],'350',$modSettings['shopsurfix'],'</td>			
								</tr>
								</table>								
							</td>
						</tr>
					</table>';
				template_shop_copyright();
}
function template_lucky2() {

global $shop, $smcFunc, $txt, $user_info, $result1, $result2, $result3, $modSettings, $settings, $context, $scripturl;
	
	writeTabs();
echo '
<table class="bordercolor" border="0" cellpadding="1" cellspacing="1" width="100%">
			<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_game_l22'].'</div></span>
			</h3></div></td></tr>
			';
	echo '<tr class="windowbg"><td colspan="10">';
			if(isset($context['user']['avatar']['image']))
				{
					echo  $context['user']['avatar']['image'];
				}
				else
				{
					echo' <img border="0" src="',$settings['images_url'],'/default_avatar.png" width="50" height="50" alt=""/>';
				}
				echo'	<b>',$txt['shop_game_lw'],' ',$context['user']['name'],'</b>
					<div style="font-size: 0.85em; padding-top: 1ex;">',$txt['shop_game_l2d'],'</div>
				</td>
			</tr></table><br /><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
				<td valign="top">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game_result'].'</span>
			</h3></div></td></tr>
					
						<tr>
							<td class="windowbg2" align="center" style="height: 18ex;">
<br /><br />
	', $context['lucky2'], '';
	if(isset($context['win']))
	{
	echo'', $context['win'], '';
	}
	if(isset($context['nowin']))
	{
	echo'', $context['nowin'], '';
	}
echo'<form action="',$scripturl,'?action=shop;sa=gameroom;game=lucky2" method="post">
<input type="hidden" name="payline" value="(array($stop1, $stop2, $stop3))" /><br /><br />
<input type="submit" value="',$txt['shop_game_rolld'],'" />
</form>
<br /><div class="windowbg2">',$txt['shop_game_yh'],' ',$modSettings['shopprefix'],'' .$user_info['cash']. ' ',$modSettings['shopsurfix'],'</div>
</td>
	</tr>
		</table>
				</td>
				<td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 50%;">
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor" id="supportVersionsTable">
					<tr><td>	<div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game_paytable'].'</span>
			</h3></div></td></tr>
					
	                         <tr>
						<td class="windowbg2"><img src="', $settings['images_url'], '/ShopGamesImages/lucky2/dice_2-r-2.png" width="25" height="25" alt="',$txt['shop_game_lucky2'],'"/> = ',$modSettings['shopprefix'],'1000',$modSettings['shopsurfix'],'</td>			
								</tr>
								</table>								
							</td>
						</tr>
				</table>';
				template_shop_copyright();
}


function template_game() {

	global $context, $modSettings, $settings, $txt, $scripturl, $sourcedir;
	
	if(empty($modSettings['shop_Enable_gameroom'])) 
  die($txt['disabledgames']);
  {   
	  if(isset($context['shop']['notice']))
		 die('<div align="center" style="color: red;">' .  $context['shop']['notice']. '</div>');		 	{
	writeTabs();
	echo '<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
			<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game'].'</span>
			</h3></div></td></tr>
			<tr> 
				<td class="windowbg" valign="top" colspan="2">';	
	if(isset($context['user']['avatar']['image']))
				{
					echo  $context['user']['avatar']['image'];
				}
				else
				{
					echo' <img border="0" src="',$settings['images_url'],'/default_avatar.png" width="50" height="50" alt=""/>';
				}
				echo'	<b>',$txt['shop_gamew'],' ',$context['user']['name'],'</b>
					<div style="font-size: 0.85em; padding-top: 1ex;">',$txt['shop_gamed'],'</div></td>
			</tr></table><br />
					<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
						<tr><td><div class="cat_bar">
							<h3 class="catbg">
				<span>'.$txt['shop_game_list'].'</span>
			</h3></div></td></tr>					
			<tr class="windowbg2">
				<td width="20%" valign="top">
				<img src="', $settings['images_url'], '/ShopGamesImages/slots/cherry.png" width="25" height="25" alt="',$txt['shop_game_slots'] ,'"/> <a href="',$scripturl,'?action=shop;sa=gameroom;game=slots" >',$txt['shop_game_slots'],'</a><br />
				<img src="', $settings['images_url'], '/ShopGamesImages/lucky2/dice_2-r-2.png" width="25" height="25" alt="',$txt['shop_game_lucky2'],'"/> <a href="',$scripturl,'?action=shop;sa=gameroom;game=lucky2" >',$txt['shop_game_lucky2'],'</a><br />
				<img src="', $settings['images_url'], '/ShopGamesImages/slots/7.png" width="25" height="25" alt="',$txt['shop_game_numberslots'],'"/> <a href="',$scripturl,'?action=shop;sa=gameroom;game=numslots" >',$txt['shop_game_numberslots'],'</a><br />
				<img src="', $settings['images_url'], '/ShopGamesImages/pair/1_1.png" width="25" height="25" alt="',$txt['shop_game_pairs'],'"/> <a href="',$scripturl,'?action=shop;sa=gameroom;game=pairs" >',$txt['shop_game_pairs'],'</a><br />
				<img src="', $settings['images_url'], '/ShopGamesImages/dice/blackdice1.png" width="25" height="25" alt="',$txt['shop_game_dice'],'"/> <a href="',$scripturl,'?action=shop;sa=gameroom;game=dice" >',$txt['shop_game_dice'],'</a><br />
				</td>
			</tr> 
				
		</table>';
		}
		template_shop_copyright();
		
}
}

function template_stats()
{
	global $context, $modSettings, $txt, $settings, $scripturl;
	if(empty($modSettings['shop_Enable_Stats'])) 
  die($txt['disabledstats']);
  {
	writeTabs();	
echo '<table width="100%" cellpadding="1" cellspacing="1" border="0" class="bordercolor">
			      <tr>
			            <td><div class="cat_bar">
							<h3 class="catbg">
				<span><div align="center">'.$txt['shop_Stats'].'</div></span>
			</h3></div></td>
			       </tr>
			     </table><table border="0" width="100%" align="center" cellspacing="1" cellpadding="1" class="bordercolor">
			
			
			<tr>
				<td class="windowbg2" width="50%" valign="top">';
				echo '<table border="0" cellpadding="1" cellspacing="0" width="100%">
						<tr>
							<td class="windowbg2" width="50%">',$txt['shop_Total_Items_Sold'],'</td>
							<td class="windowbg2" width="50%"  align="right">', comma_format($context['total_sold']) , '</td>
						</tr>';
				echo '</table></td>
				<td class="windowbg2" width="50%" valign="top">
				<table border="0" cellpadding="1" cellspacing="0" width="100%">
						<tr>
							<td class="windowbg2" width="50%">',$txt['shop_Total_Items'],'</td>
							<td class="windowbg2" width="50%"  align="right">', comma_format($context['total_items']) , '</td>
						</tr>
					</table>
				</td>

			</tr>
			<tr>
				<td><div class="cat_bar">
							<h3 class="catbg">
				<span>',$txt['shop_Top_Purchasers'],'</span>
			</h3></div></td>
				<td><div class="cat_bar">
							<h3 class="catbg">
				<span>',$txt['shop_Top_Traders'],'</span>
			</h3></div></td>
			</tr>
			<tr>
				<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">';
						foreach ($context['top_purchesers'] as $purchHis)
						{
							echo '<tr>
									<td width="60%" valign="top"><a href="', $scripturl, '?action=profile;u=', $purchHis['id_member'], '">', $purchHis['real_name'], '</a></td>
									<td width="20%" align="left" valign="top">', $purchHis['purchHis'] > 0 ? '<img src="' . $settings['images_url'] . '/bar_stats.png" width="' . $purchHis['percent'] . '" height="15" alt="" />' : '&nbsp;', '</td>
									<td width="20%" align="right" valign="top">', formatCash($purchHis['purchHis']), '</td>
								</tr>';
						}
	echo '
					</table>
				</td>
				<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">';
						foreach ($context['top_trade'] as $tradeHis)
						{
							echo '<tr>
									<td width="60%" valign="top"><a href="', $scripturl, '?action=profile;u=', $tradeHis['id_member'], '">', $tradeHis['real_name'], '</a></td>
									<td width="20%" align="left" valign="top">', $tradeHis['tradeHis'] > 0 ? '<img src="' . $settings['images_url'] . '/bar_stats.png" width="' . $tradeHis['percent'] . '" height="15" alt="" />' : '&nbsp;', '</td>
									<td width="20%" align="right" valign="top">', $tradeHis['tradeHis'], '</td>
								</tr>';
						}
	echo '
					</table>
				</td>
			</tr>';
			echo '<tr>
				<td><div class="cat_bar">
							<h3 class="catbg">
				<span>',$txt['shop_bank_richpoc'],'</span>
			</h3></div></td>
				<td><div class="cat_bar">
							<h3 class="catbg">
				<span>',$txt['shop_bank_richb'],'</span>
			</h3></div></td>
			</tr>
			<tr>
				<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">';
						foreach ($context['top_cash'] as $cash)
						{
							echo '<tr>
									<td width="60%" valign="top"><a href="', $scripturl, '?action=profile;u=', $cash['id_member'], '">', $cash['real_name'], '</a></td>
									<td width="20%" align="left" valign="top">', $cash['cash'] > 0 ? '<img src="' . $settings['images_url'] . '/bar_stats.png" width="' . $cash['percent'] . '" height="15" alt="" />' : '&nbsp;', '</td>
									<td width="20%" align="right" valign="top">', formatCash($cash['cash']), '</td>
								</tr>';
						}
						
	echo '
					</table>
				</td>
			<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">';
						foreach ($context['top_cashbank'] as $cashbank)
						{
							echo '<tr>
									<td width="60%" valign="top"><a href="', $scripturl, '?action=profile;u=', $cashbank['id_member'], '">', $cashbank['real_name'], '</a></td>
									<td width="20%" align="left" valign="top">', $cashbank['cashbank'] > 0 ? '<img src="' . $settings['images_url'] . '/bar_stats.png" width="' . $cashbank['percent'] . '" height="15" alt="" />' : '&nbsp;', '</td>
									<td width="20%" align="right" valign="top">', formatCash($cashbank['cashbank']), '</td>
								</tr>';
						}
	echo '
					</table>
				</td>
			</tr>';
			
		echo '	
		</table>';
		
		template_shop_copyright();
		}
}		
function template_shop_copyright()
{
global $txt, $modSettings;
echo '<br /><div align="center"><a href="http://smfhispano.org" target="_blank">SA Shop ' . $modSettings['shop_version'] . ' &copy; 2012</a> <a href="http://sleepy-arcade.ath.cx">Sleepy Arcade</a><a href="http://www.smfpt.net">Translate by SMFPT</a></div>';
		if ($modSettings['shop_dev'] == 1)
		echo '
								<br /><div align="center"><b>'.$txt['Shop_dev'].'</b><br />
								'.$txt['Shop_build'].': ' . $modSettings['shop_build'] . ' <br />
								'.$txt['Shop_date'].': ' . $modSettings['shop_build_date'] . ' </div><br />';
			
}
function writeTabs() {

	global $context, $buttonsshop, $scripturl;

	if (isset($context['tab_links'])) 
	{
		echo '<div class="buttonlist floatright">
			<ul>';
			foreach ($context['tab_links'] as $link) 
		    {
			if ($link['action'] == $context['current_subaction']) 
			{
			echo'<li><a class="active" href="' , $scripturl . '?action=' , $context['current_action'] , (!empty($link['action']) ? ';sa=' . $link['action'] : '') . '"><span>', $link['label'], '</span></a></li>';
			}
			else
			{
			echo'<li><a href="' , $scripturl . '?action=' , $context['current_action'] , (!empty($link['action']) ? ';sa=' . $link['action'] : '') . '"><span>', $link['label'], '</span></a></li>';
			}
			}
			echo'</ul>
		</div><br />';
	}
}
?>