<?php
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://www.sa-mods.info
 *
 * The Initial Developer of the Original Code is
 * wayne Mankertz.
 * Portions created by the Initial Developer are Copyright (C) 2009-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):Danial15
 *
 * ***** END LICENSE BLOCK ***** */

if (!defined('SMF'))
	die('Hacking attempt...');
	
global $sourcedir;
require_once($sourcedir . '/shop2/Shop_db.php');
require_once($sourcedir . '/shop2/Subs_Shop.php');

function shopAdmin() { 

	global $context, $smcFunc, $sourcedir, $user_info, $txt;

	require_once($sourcedir . '/ManageServer.php');
 // Load the language strings
	 loadLanguage('Shop');
       // Set title and default sub-action.
		loadTemplate('ShopAdmin');
		isAllowedTo('manage_shop');
        $context['page_title'] = $txt['shop_adminmmc'];
		
	$context[$context['admin_menu_name']]['tab_data']['title'] = $txt['shop_adminmm'];
	$context[$context['admin_menu_name']]['tab_data']['description'] = $txt['shop_adminmmd'];

	$subActions = array(
	    'settingsa' => 'shop_Settinga',
		'settings' => 'shop_Setting',
		'inventory' => 'shop_Inventory',
		'item' => 'ShopItemsEdit',
		'edit' => 'ShopItemsEdit',
		'edit2' => 'ShopItemsEdit',
		'del' => 'ShopItemsEdit',
		'del2' => 'ShopItemsEdit',
		'add' => 'ShopItemsadd',
		'add2' => 'ShopItemsadd2',
		'add3' => 'ShopItemsadd3',
		'restock' => 'ShopRestock',
		'cats' => 'ShopCategories',
		'editcat' => 'Shopeditcat',
		'editcat2' => 'Shopeditcat2',
		'postinv' => 'ShopIP',
		'cblock' => 'ShopCB',
		'memfunc' => 'ShopUserGroup',
		'maintenace' => 'shop_maintenace',
		'history' => 'shop_empty_shopbuy',
		'interest' => 'shop_BankInterest',
		'recount' => 'shop_recountItems',
		'page' => 'shop_Settingapage',
		'info' => 'shop_info',
		
		
	);

	$_REQUEST['sa'] = isset($_REQUEST['sa']) && isset($subActions[$_REQUEST['sa']]) ? $_REQUEST['sa'] : 'info';
	$subActions[$_REQUEST['sa']]();	

}

function shop_Settinga() {
	
	global $context, $txt, $scripturl;	
	
	$context['sub_template'] = 'shop_main';	
	
	if (isset($_GET['save']))
		writeAccessArray();
		readAccessArray();
}

function shop_info()
{
	global $context, $txt, $scripturl;	
	
	$context['page_title'] = $txt['Shop_ver'];
	
	
}
/*
function shop_version()
{
	global $context, $txt, $scripturl;	
	
	$context['page_title'] = $txt['Shop_ver'];
	$context['sub_template'] = 'shop_version';	
	
}*/

function shop_Settingapage() {
	
	if (isset($_GET['save']))
		writepageArray();
		readAccessArray();
		redirectexit('action=admin;area=shop;sa=settingsa');	
}

/*function shop_Settinga() {
	
	if (isset($_GET['save']))
		writeAccessArray();
		readAccessArray();
}*/
function readAccessArray() {
	global $shop;
	
	$shop['setting'] = array(
		'enableshop' => array('shop_Enable_shop'),
		'enablegameroom' => array('shop_Enable_gameroom'),
		'enablebank' => array('shop_Enable_Bank'),
		'enabletrade' => array('shop_Enable_trade'),
		'enablegift' => array('shop_Enable_Gift'),
		'enablestats' => array('shop_Enable_Stats'),
		);
	$shop['setting2'] = array(
		'regamount' => array('shopRegAmount'),
		'pointtopic' => array('shopPointTopic'),
		'pointpost' => array('shopPointPost'),
		'pointword' => array('shopPointWord'),
		'pointchar' => array('shopPointChar'),
		'pointlimit' => array('shopPointLimit'),
		'binterest' => array('shopBInterest'),
		'wfee' => array('shopwfee'),
		'dfee' => array ('shopdfee'),
		'dmin' => array ('shopdmin'),
		'wmin' => array ('shopwmin'),
		'dmax' => array ('shopdmax'),
		'wmax' => array ('shopwmax'),
		'surfix' => array ('shopsurfix'),
		'prefix' => array ('shopprefix'),	
		);
	$shop['setting3'] = array(
		'block' => array('Shop_blocks'),
		'block1' => array('Shop_blocks1'),
		'block2' => array('Shop_blocks2'),
		);
}

function writepageArray() {

global $shop;

//check the users session
checkSession();

	
	(isset($_POST['block']) ? $newSettings['Shop_blocks'] = '1' : $newSettings['Shop_blocks'] = '0');
	(isset($_POST['block1']) ? $newSettings['Shop_blocks1'] = '1' : $newSettings['Shop_blocks1'] = '0');
	(isset($_POST['block2']) ? $newSettings['Shop_blocks2'] = '1' : $newSettings['Shop_blocks2'] = '0');

	updateSettings($newSettings);
}

// write the new Access settings
function writeAccessArray() {

global $shop;

//check the users session
checkSession();

	(isset($_POST['enableshop']) ? $newSettings['shop_Enable_shop'] = '1' : $newSettings['shop_Enable_shop'] = '0');
	(isset($_POST['enablegameroom']) ? $newSettings['shop_Enable_gameroom'] = '1' : $newSettings['shop_Enable_gameroom'] = '0');
	(isset($_POST['enablebank']) ? $newSettings['shop_Enable_Bank'] = '1' : $newSettings['shop_Enable_Bank'] = '0');
	(isset($_POST['enabletrade']) ? $newSettings['shop_Enable_trade'] = '1' : $newSettings['shop_Enable_trade'] = '0');
	(isset($_POST['enablegift']) ? $newSettings['shop_Enable_Gift'] = '1' : $newSettings['shop_Enable_Gift'] = '0');
	(isset($_POST['enablestats']) ? $newSettings['shop_Enable_Stats'] = '1' : $newSettings['shop_Enable_Stats'] = '0');
	

	updateSettings($newSettings);
}

// update General Settings
function writeSettingArray() {

		//check the users session
		checkSession();
		
	$newSettings['shopRegAmount'] = (float) $_POST['regamount'];
	$newSettings['shopBInterest'] = (float) $_POST['binterest'];
	$newSettings['shopwfee'] = (float) $_POST['wfee'];
	$newSettings['shopdfee'] = (float) $_POST['dfee'];
	$newSettings['shopdmin'] = (float) $_POST['dmin'];
	$newSettings['shopwmin'] = (float) $_POST['wmin'];
	$newSettings['shopdmax'] = (float) $_POST['dmax'];
	$newSettings['shopwmax'] = (float) $_POST['wmax'];
	$newSettings['shopPointTopic'] = (float) $_POST['pointtopic'];
	$newSettings['shopPointPost'] = (float) $_POST['pointpost'];
	$newSettings['shopPointWord'] = (float) $_POST['pointword'];
	$newSettings['shopPointChar'] = (float) $_POST['pointchar'];
	$newSettings['shopPointLimit'] = (float) $_POST['pointlimit'];
	
	$newSettings['shop_Title_cblock'] = $_POST['cblocktitle'];
	
	$newSettings['shopprefix'] = $_POST['prefix'];
	$newSettings['shopsurfix'] = $_POST['surfix'];
	
	updateSettings($newSettings);

}

// contains info to make the General Settings portion
function readSettingArray() {
	global $shop;
	
	$shop['setting2'] = array(
		'cblocktitle' => array('shop_Title_cblock'),
		'regamount' => array('shopRegAmount'),
		'pointtopic' => array('shopPointTopic'),
		'pointpost' => array('shopPointPost'),
		'pointword' => array('shopPointWord'),
		'pointchar' => array('shopPointChar'),
		'pointlimit' => array('shopPointLimit'),
		'binterest' => array('shopBInterest'),
		'wfee' => array('shopwfee'),
		'dfee' => array ('shopdfee'),
		'dmin' => array ('shopdmin'),
		'wmin' => array ('shopwmin'),
		'dmax' => array ('shopdmax'),
		'wmax' => array ('shopwmax'),
		'surfix' => array ('shopsurfix'),
		'prefix' => array ('shopprefix'),	
		);
}

function shop_Setting() {
	global $context;

	if (isset($_GET['save']))
		writeSettingArray();
		readSettingArray();
		//writepageArray();
		
		redirectexit('action=admin;area=shop;sa=settingsa');	
}

function ShopIP()
{ 
	global $context, $modSettings, $txt;
		
	if (isset($_GET['save']))
	{
		// Put all the settings into an array, to save
		$newSettings['ShopIpDis'] = (int) $_POST['ShopIpDis'];
		$newSettings['ShopIpDisMax'] = (int) $_POST['ShopIpDisMax'];
		$newSettings['ShopIpPos'] = (int) $_POST['ShopIpPos'];

		// Save all these settings
		updateSettings($newSettings);

	}
	redirectexit('action=admin;area=shop;sa=settingsa');	
	
}

function ShopCB()
{ 
	global $context, $modSettings, $txt;
		
	if (isset($_GET['save']))
	{
		// Put all the settings into an array, to save
		$newSettings['ShopCbEN'] = (int) $_POST['ShopCbEN'];
		$newSettings['ShopCbTitle'] = $_POST['ShopCbTitle'];
		$newSettings['ShopCbContent'] = $_POST['ShopCbContent'];

		// Save all these settings
		updateSettings($newSettings);

	}
	redirectexit('action=admin;area=shop;sa=settingsa');	
	
}

function Shopeditcat() {
	global $context,$smcFunc;
$context['sub_template'] = 'catedit';
	// Lookup the link and see if they can edit it.
	$catid = !empty($_REQUEST['catid']) ? (int) $_REQUEST['catid'] : 0;

	if (empty($catid))
		fatal_error($txt['shop_no_cat']);

	$context['cat_catid'] = $catid;

	$dbresult =  $smcFunc['db_query']('', '
	SELECT
		catid, name, image, description
	FROM {db_prefix}shop_category
	WHERE catid = {int:catid}
	LIMIT 1',
			array(
				'catid' => $catid,
				)
			);
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$smcFunc['db_free_result']($dbresult);
	$context['cats_cat'] = $row;

}

function shopeditcat2() {

global $catid, $smcFunc;

	$catid = !empty($_REQUEST['catid']) ? (int) $_REQUEST['catid'] : 0;

	// Update the link
	$smcFunc['db_query']('', '
				UPDATE {db_prefix}shop_category
				SET
					name = {string:name},
					image = {string:image}
				WHERE catid = {int:catid}',
			array(
				'catid' => $catid,
					'name' => $smcFunc['htmlspecialchars']($_POST['title'], ENT_QUOTES),
					'image' => $smcFunc['htmlspecialchars']($_POST['image'], ENT_QUOTES)
				)
			);
				redirectexit('action=admin;area=shop;sa=cats');	
	
}
	
function shop_Inventory() {
	global 	$context, $smcFunc, $shop, $txt, $userid;
	
	$context['sub_template'] = 'admin_inventory';
	$context['page_title'] = $txt['shop_admin_invent'];	
	$_POST['thename'] = !empty($_POST['thename']) ? $smcFunc['htmlspecialchars']($_POST['thename'], ENT_QUOTES) : '';
		$id_next = !empty($_GET['next2']) ? (int) $_GET['next2'] : 0;
		
	if(isset($_REQUEST['next']) && isset($_POST['thename']))
	{
	    $_SESSION['name_posted_admin'] = $_POST['thename'];
		$userid = shop_UserId($_SESSION['name_posted_admin']);
		if(!isset($userid)) 
		{
			$shop['inv_message'] = $txt['shop_inv_nouser'];
		}
	}

	if(isset($_GET['next2']))
	{
		
		$userid = shop_UserId($_SESSION['name_posted_admin']);
		if(!isset($userid)) 
		{
			$shop['inv_message'] = $txt['shop_inv_nouser'];
		}
	}	
		
	if(isset($_GET['discard']))
	{
		$userid = !empty($_GET['userid']) ? (int) $_GET['userid'] : 0;
		$id = !empty($_GET['id']) ? (int) $_GET['id'] : 0;
		
		if(shop_own($userid, $id))
			shop_saveitems($userid, $id, 'remove', '', '');
		
	}
	if(isset($_REQUEST['update']))
	{
		//check the users session
		checkSession();
		$cash = !empty($_POST['cash']) ? (int) $_POST['cash'] : 0;
		$cashbank = !empty($_POST['cashBank']) ? (int) $_POST['cashBank'] : 0;
		$userid = $_POST['thename'];
		shop_doCash($userid, $cash);
		shop_CashBank($userid, $cashbank);
	}
}

function ShopRestock()
{
	global $boarddir, $context, $smcFunc, $txt;

	// If they pressed the button, update the stock
	if (isset($_REQUEST['step']) && $_REQUEST['step'] == 2)
	{
		//check the users session
		checkSession();

		shop_restock();
	}
	
	redirectexit('action=admin;area=shop;sa=maintenace;step=2');
	
}

function ShopCategories()
{
	global $txt, $context, $smcFunc, $sourcedir;
	
	// Are we adding a new category?
	if (isset($_REQUEST['do']) && $_REQUEST['do'] == 'add')
	{
		// Make sure a value was set
		if (!isset($_POST['cat_name']) || $_POST['cat_name'] == '')
			fatal_lang_error('shop_enter_cat_name');
		
	//Insert the database entry
			$smcFunc['db_insert']('',
            '{db_prefix}shop_category',
			array(
				'name' => 'string', 
				'image' => 'string',
				'count' => 'int',
				
				),
			array(
				'name' => $smcFunc['htmlspecialchars']($_POST['cat_name'], ENT_QUOTES),
				'image' => $smcFunc['htmlspecialchars']($_POST['image'], ENT_QUOTES),
				'count' => 0,
				),
			array());
			
		$context['shop_cat_message'] = $txt['shop_added_cat'];
	}
	elseif (isset($_REQUEST['do']) && $_REQUEST['do'] == 'del')
	{
		// Make sure ID is numeric
		$_GET['id'] = (int) $_GET['id'];
		// Delete it!
		$smcFunc['db_query']('','
		DELETE FROM {db_prefix}shop_category 
		WHERE catid = {int:id}',
			array(
				'id' => $_GET['id'],
			));
		
		// Delete the items!
		$smcFunc['db_query']('','
		DELETE FROM {db_prefix}shop_item 
		WHERE catid = {int:id}',
			array(
				'id' => $_GET['id'],
			));
		// Tell the user
		$context['shop_cat_message'] = sprintf($txt['shop_deleted_cat'], $_GET['id']);
		
	}

	// Get a list of all the categories
	$context['shop_cats'] = shopcatlist();
	$context['page_title'] = $txt['shop_admin_catlist'];	
	// We're using the "categories" template
	$context['sub_template'] = 'cat';
	
}

// Edit the shop items
function ShopItemsEdit()
{
	global $smcFunc, $context, $db_prefix, $txt, $scripturl, $sourcedir, $item_info;
	
	
	// We need the subs!
	require_once($sourcedir . '/shop2/Subs_Shop.php');

	// If we're editing something (they've clicked the 'Edit' link)
	if (isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'edit')
	{		
		// Make sure ID is numeric
		$_GET['item'] = (int) $_GET['item'];
		// Get the item's information
		$result = $smcFunc['db_query']('', '
			SELECT `name`, `description`, price, count, image, 
				module, info1, info2, info3, info4,
				delete_after_use, catid, status
			FROM {db_prefix}shop_item
			WHERE itemid = {int:id}',
			array(
				'id' => $_GET['item'],
			));
		$row = $smcFunc['db_fetch_assoc']($result);
		$smcFunc['db_free_result']($result);
		
		// Set all the information (for use in the template)
		$context['shop_edit'] = array(
			'itemid' => $_GET['item'],
			'name' => $row['name'],
			'desc' => $row['description'],
			'price' => $row['price'],
			'stock' => $row['count'],
			'image' => $row['image'],
			'delete_after_use' => $row['delete_after_use'],
			'catid' => $row['catid'],
			'module' => $row['module'],
			'status' => $row['status'],
			);
		// Images
		$context['shop_images'] = getImageList();
		// And categories
		$context['shop_categories'] = shopCatList();
		
		// We need to grab the extra input required by this item.
		// The actual information.
		$item_info[1] = $row['info1'];
		$item_info[2] = $row['info2'];
		$item_info[3] = $row['info3'];
		$item_info[4] = $row['info4'];
		
		// Include the item engine (defaults and stuff)
		include($sourcedir . '/shop2/item_engine.php');
		// Include the actual item
		require($sourcedir . '/shop2/items/' . $row['module'] . '.php');
		// Create an instance of the item (it's used below)
		eval('$tempItem = new item_' . $row['module'] . ';');
		// Get the actual info
		$tempItem->getItemDetails();

		// Can we edit the getAddInput() info?
		if ($tempItem->addInput_editable == true)
		{
			$context['shop_edit']['addInputEditable'] = true;
			$context['shop_edit']['addInput'] = $tempItem->getAddInput();
		}
		else
			$context['shop_edit']['addInputEditable'] = false;

	}
	// If they've chosen to delete an item
	elseif (isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'del')
	{
		// If nothing was chosen to delete
		// TODO: Should this just return to the do=edit page, and show the error there?
		if (!isset($_POST['delete']))
			fatal_lang_error('shop_item_delete_error');
		
		// Make sure all IDs are numeric
		foreach ($_POST['delete'] as $key => $value)
			$_POST['delete'][$key] = (int) $value;
		
		// Start with an empty array of items
		$context['shop_delete'] = array();
		
		// Get information on all the items selected to be deleted
		$result = $smcFunc['db_query']('', '
			SELECT itemid, name, status, image
			FROM {db_prefix}shop_item
			WHERE itemid IN ({array_int:ids})
			ORDER BY name ASC',
			array(
				'ids' => $_POST['delete']
			));
	
		// Loop through all the results...
		while ($row = $smcFunc['db_fetch_assoc']($result))
			// ... and add them to the array
			$context['shop_delete'][] = array(
				'id' => $row['itemid'],
				'image' => $row['image'],
				'name' => $row['name']
			);
		$smcFunc['db_free_result']($result);
	}
	// We're neither editing nor deleting an item. In this case, output from whatever we're doing
	// should appear on the main Add/Edit/Delete page.
	else
	{
		// If we're saving changes to the item
		if (isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'edit2')
		{
			// Make sure some inputs are numeric
			$_POST['id'] = (int) $_POST['id'];
			$_POST['itemprice'] = (float) $_POST['itemprice'];
			$_POST['itemstock'] = (int) $_POST['itemstock'];
			$_POST['cat'] = (int) $_POST['cat'];
				
			// Delete from inventory after use?
			$delete = isset($_POST['itemdelete']) ? 1 : 0;
			// Delete from inventory after use?
			$status = isset($_POST['itemstatus']) ? 1 : 0;
			
			// Additional fields to update
			$additional = '';
			
			if (isset($_POST['info1']))
				$additional .= ', `info1` = "' . intval($_POST['info1']) . '"';
			if (isset($_POST['info2']))
				$additional .= ', `info2` = "' . intval($_POST['info2']) . '"';
			if (isset($_POST['info3']))
				$additional .= ', `info3` = "' . intval($_POST['info3']) . '"';
			if (isset($_POST['info4']))
				$additional .= ', `info4` = "' . intval($_POST['info4']) . '"';
			
			// Get the old category
			$result = $smcFunc['db_query']('', '
				SELECT catid
				FROM {db_prefix}shop_item
				WHERE catid = {int:id}',
				array(
					'id' => $_POST['id'],
				));
			$row = $smcFunc['db_fetch_assoc']($result);
			$smcFunc['db_free_result']($result);		
			
			// Update the item information
			$smcFunc['db_query']('', '
				UPDATE {db_prefix}shop_item
				SET
					`name` = {string:name},
					`description` = {string:description},
					`price` = {float:price},
					`count` = {int:count},
					`image` = {string:image},
					`delete_after_use` = {int:delete},
					`catid` = {int:cat},
					`status` = {int:status}
					{raw:additional}
				WHERE itemid = {int:id}
				LIMIT 1',
				array(
					'name' => $smcFunc['htmlspecialchars']($_POST['itemname'], ENT_QUOTES),
					'description' => $smcFunc['htmlspecialchars']($_POST['itemdesc'], ENT_QUOTES),
					'price' => $_POST['itemprice'],
					'count' => $_POST['itemstock'],
					'image' => $_POST['icon'],
					'delete' => $delete,
					'cat' => $_POST['cat'],
					'additional' => $additional,
					'id' => $_POST['id'],
					'status' => $status,
					));
				
			// Increase count for the new category
			$smcFunc['db_query']('', '
				UPDATE {db_prefix}shop_category
				SET count = count + 1
				WHERE catid = {int:cat}',
				array(
					'cat' => $_POST['cat'],
				));
				
			// Decrease count for the old category
			$smcFunc['db_query']('', '
				UPDATE {db_prefix}shop_category
				SET count = count - 1
				WHERE catid = {int:cat}',
				array(
					'cat' => $_POST['cat'],
				));
			
			// This is used in the template for the message at the top
			$context['shop_edit_message'] = $txt['shop_saved'];
		}
		// Actually deleting an item
		elseif (isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'del2')
		{
			// If nothing was chosen to delete (shouldn't happen, but meh)
			if (!isset($_POST['delete']))
				fatal_lang_error('shop_item_delete_error');
				
			// Make sure all IDs are numeric
			foreach ($_POST['delete'] as $key => $value)
				$_POST['delete'][$key] = (int) $value;

			// Delete all the items
			$smcFunc['db_query']('', '
				DELETE FROM {db_prefix}shop_item
				WHERE itemid IN ({array_int:ids})',
				array(
					'ids' => $_POST['delete'],
				));
				
			// If anyone owned this item, they don't anymore :P
			$smcFunc['db_query']('', '
				DELETE FROM {db_prefix}shop_property
				WHERE itemid IN ({array_int:ids})',
				array(
					'ids' => $_POST['delete'],
				));

			// This is used in the template for the message at the top
			$context['shop_edit_message'] = $txt['shop_deleted'];
		}
	
		// Now, for the edit items section:
		// Start with an empty list
		$context['shop_edit'] = array();
		// Get a list of all the item
		$result = $smcFunc['db_query']('', '
			SELECT name, itemid, image
			FROM {db_prefix}shop_item
			ORDER by name ASC', array());
	
		// Loop through all the items
		while ($row = $smcFunc['db_fetch_assoc']($result))
			// Add this item to the list
			$context['shop_edit'][] = array(
				'id' => $row['itemid'],
				'image' => $row['image'],
				'name' => $row['name']
			);
		$smcFunc['db_free_result']($result);
	}

	// Set the page title
	$context['page_title'] = $txt['shop_admin_items_addedit'];
	// Tell the template what we want
	$context['sub_template'] = 'items_edit';
	// Load the template
	loadTemplate('ShopAdmin');
	
}
function ShopItemsadd()
{
global $smcFunc, $context, $db_prefix, $txt, $scripturl, $sourcedir, $item_info;
// OK, the first bit of this is for adding items:
		// Include the 'item engine' (skeleton item, with defaults)
		require($sourcedir . '/shop2/item_engine.php');
		// Open the items directory
		if ($handle = opendir($sourcedir . '/shop2/items'))
		{
			// Loop through all files in the items directory
			while (false !== ($file = readdir($handle)))
			{
				// If this item is a PHP file, then...
				if (substr($file, -4) == '.php')
				{
					// Get the name (file name without .php extension)
					$name = basename($file, '.php');
					// Load this item
					include($sourcedir . '/shop2/items/' . $file);
	
					// Code to check if object exists, and if so, create new instance of object
					// TODO: Simplify, somehow?
					$code = '
						if (class_exists(\'item_' . $name . '\'))
						{
							$tempItem = new item_' . $name . ';
							return true;
						}
						else
							return false;';
							
					// If we could create an instance of the item...
					if (eval($code) !== FALSE)
					{
						// Get the item details
						$tempItem->getItemDetails();
						// Add this item to the list
						$context['shop_add'][$tempItem->name] = array(
							'name' => $name,
							'friendlyname' => $tempItem->name,
							'authorName' => $tempItem->authorName,
							'authorWeb' => $tempItem->authorWeb,
							'authorEmail' => $tempItem->authorEmail,
						);
					}
					// Otherwise, this item is broken
					else
					{
						// Inform the user of the sad news... Their item is DEAD!
						$context['shop_edit_message'] .= sprintf($txt['shop_item_error'], $name);
					}
				}
			}
			// Sort the array by key (ie. by item name)
			ksort($context['shop_add']);
		}
		// Otherwise, there's a problem with the items directory
		else
		{
			// Inform the user of this
			fatal_lang_error('shop_cannot_open_items');
		}
	
		// Now, for the edit items section:
		// Start with an empty list
		$context['shop_edit'] = array();
		// Get a list of all the item
		$result = $smcFunc['db_query']('', '
			SELECT name, itemid,status
			FROM {db_prefix}shop_item
			ORDER by name ASC', array());
	
		// Loop through all the items
		while ($row = $smcFunc['db_fetch_assoc']($result))
			// Add this item to the list
			$context['shop_edit'][] = array(
				'id' => $row['itemid'],
				'name' => $row['name'],
				'status' => $row['status'],
			);
		$smcFunc['db_free_result']($result);
	
		// Set the page title
	$context['page_title'] = $txt['shop_admin_items_add'];	
	$context['sub_template'] = 'items_add';
	}
	
function ShopItemsadd2()
{
global $smcFunc, $boarddir, $context, $db_prefix, $txt, $sourcedir, $scripturl, $item_info;

	// We need the subs!
	require_once($sourcedir . '/shop2/Subs_Shop.php');
	
	// Add item, step 1.
	// They've chosen an item, and clicked 'Next'. Prompt for input...

		// Include the item engine (defaults and stuff)
		include($sourcedir . '/shop2/item_engine.php');
		// Include the actual item
		require($sourcedir . '/shop2/items/' . $_POST['item'] . '.php');
		// Create an instance of the item
		// TODO: Simplify this somehow?
		eval('$tempItem = new item_' . $_POST['item'] . ';');
		// Get the item's details
		$tempItem->getItemDetails();
		// At this stage, there's no additional information
		$item_info = array(
			1 => '',
			2 => '',
			3 => '', 
			4 => '');
			
		// Put all the details into an array
		$context['shop_item'] = array(
			'name' => $_POST['item'],
			'friendlyname' => $tempItem->name,
			'desc' => $tempItem->desc,
			'price' => $tempItem->price,
			'stock' => 50,
			'require_input' => (int) $tempItem->require_input,
			'can_use_item' => (int) $tempItem->can_use_item,
			'delete_after_use' => (int) $tempItem->delete_after_use,
			'authorName' => $tempItem->authorName,
			'authorWeb' => $tempItem->authorWeb,
			'authorEmail' => $tempItem->authorEmail,
			'addInput' => ($tempItem->getAddInput() == false) ? '' : $tempItem->getAddInput(),
		);
		// Images...
		$context['shop_images'] = getImageList();
		// ... and categories
		$context['shop_categories'] = shopCatList();
	
	
	$context['sub_template'] = 'items_add2';
	$context['page_title'] = $txt['shop_admin_items_add'];	
}

function ShopItemsadd3()
{
global $smcFunc, $boarddir, $context, $db_prefix, $txt, $sourcedir, $scripturl, $item_info;

	// If item is not set, something is terribly wrong
		// Probably best to just exit
		if (!isset($_POST['item']))  fatal_lang_error('shop_no_item');

		// To avoid errors, check for non-existant values and set them to blank
		if (!isset($_POST['info1']))
			$_POST['info1'] = '';
		if (!isset($_POST['info2']))
			$_POST['info2'] = '';
		if (!isset($_POST['info3']))
			$_POST['info3'] = '';
		if (!isset($_POST['info4']))
			$_POST['info4'] = '';
		
		// If no image selected, default to 'blank.gif'
		if (!isset($_POST['icon']) || $_POST['icon'] == 'none' || $_POST['icon'] == '')
			$_POST['icon'] = 'blank.gif';

		// Check that numeric inputs are indeed numeric
		$_POST['itemprice'] = (float) $_POST['itemprice'];
		$_POST['itemstock'] = (int) $_POST['itemstock'];
		$_POST['require_input'] = $_POST['require_input'] == 1 ? 1 : 0;
		$_POST['can_use_item'] = $_POST['can_use_item'] == 1 ? 1 : 0;
		$delete = isset($_POST['itemdelete']) ? 1 : 0;
		$status =  1;
		$_POST['cat'] = (int) $_POST['cat'];

		// Insert the actual item
		$smcFunc['db_insert']('',
            '{db_prefix}shop_item',
			array(
				'name' => 'string', 
				'description' => 'string',
				'price' => 'float',
				'module' => 'string',
				'count' => 'int',
				'input_needed' => 'int',
				'can_use_item' => 'int',
				'delete_after_use' => 'int',
				'info1' => 'string',
				'info2' => 'string',
				'info3' => 'string',
				'info4' => 'string',
				'image' => 'string',
				'catid' => 'int',
				'status' => 'int',
				),
			array(
				'name' => $smcFunc['htmlspecialchars']($_POST['itemname'], ENT_QUOTES),
				'description' => $smcFunc['htmlspecialchars']($_POST['itemdesc'], ENT_QUOTES),
				'price' => $_POST['itemprice'], 
				'module' => $_POST['item'], 
				'count' => $_POST['itemstock'],
				'input_needed' => $_POST['require_input'],
				'can_use_item' => $_POST['can_use_item'],
				'delete_after_use' => $delete,
				'info1' => $_POST['info1'],
				'info2' => $_POST['info2'],
				'info3' => $_POST['info3'],
				'info4' => $_POST['info4'],
				'image' => $_POST['icon'],
				'catid' => $_POST['cat'],
				'status' => $status,
				),
			array());
		$id = $smcFunc['db_insert_id']($db_prefix . 'shop_items', 'id');
		
		// Increase count for this category
		$smcFunc['db_query']('', '
			UPDATE {db_prefix}shop_category
			SET count = count + 1
			WHERE catid = {int:id}',
			array(
				'id' => $_POST['cat'],
			));
	
        redirectexit('action=admin;area=shop;sa=add;id=' . $id,'');
		
	
}

function shop_empty_shopbuy() {
global  $smcFunc;

$smcFunc['db_query']('', '
		TRUNCATE {db_prefix}shop_purchHis',
			array(
				
			)
		);
		   
redirectexit('action=admin;area=shop;sa=maintenace;history=2');
	
	
}

function shop_BankInterest() {
global  $modSettings, $smcFunc;

	// Create some cash out of nowhere. How? By magical means, of course!
	$smcFunc['db_query']('', '
		UPDATE {db_prefix}members
		SET cashBank = cashBank + (cashBank * {float:rate})',
		array(
			'rate' => $modSettings['shopBInterest'] / 100,
		));
		   
redirectexit('action=admin;area=shop;sa=maintenace;interest=1');
	
	
}

function shop_recountItems()
{
	global $smcFunc;
	
	recountItems();
	redirectexit('action=admin;area=shop;sa=maintenace;recount=3');
			
}

function shop_maintenace() { 

	global $txt, $smcFunc, $context;

	$context['sub_template'] = 'shop_maintenace';
	$context['page_title'] = $txt['shop_Maintenace'];
	
	// If form wasn't submitted yet...
	if (!isset($_GET['steps']) || $_GET['steps'] == 3)
	{
		// Start with an empty list
		$context['shop_usergroups'] = array();
		
		// Get all non post-based membergroups
		$result = $smcFunc['db_query']('', '
			SELECT id_group, group_name
			FROM {db_prefix}membergroups
			WHERE min_Posts = {int:post}',
			array(
				'post' => -1,
			));
	
		// For each membergroup, add it to the list
		while ($row = $smcFunc['db_fetch_assoc']($result))
			$context['shop_usergroups'][] = array(
				'id' => $row['id_group'],
				'groupName' => $row['group_name']
			);
		$smcFunc['db_free_result']($result);
	}
	// If the user has submitted the form
	else
	{
		// Adding, or subtracting?
		$action = ($_POST['m_action'] == 'sub') ? '-' : '+';
		// Make sure inputs were numeric
		$_POST['usergroup'] = (int) $_POST['usergroup'];
		$_POST['value'] = (float) $_POST['value'];
		// Do it!
$smcFunc['db_query']('', '
			UPDATE {db_prefix}members
			SET cash = cash '.$action.'{int:value}
			WHERE id_group = {int:usergroup}',
			array(
				'usergroup' => $_POST['usergroup'],
				'value' => $_POST['value'],
			));
	}

}

?>
