<?php
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://www.sa-mods.info
 *
 * The Initial Developer of the Original Code is
 * wayne Mankertz.
 * Portions created by the Initial Developer are Copyright (C) 2009-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):Danial15
 *
 * ***** END LICENSE BLOCK ***** */

// If not in smf then this could be a hacking attempt?
if (!defined('SMF'))
      die('Hacking attempt...');
	  
global $sourcedir, $scripturl, $txt, $context;
	require_once($sourcedir . '/shop2/Shop_db.php');
	
function Game() {

	global $txt, $shop, $context, $scripturl;

	// Add it to the linktree
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=shop;sa=gamesroom',
		'name' => $txt['shop_tab_gr'],
		);
	
	// Do we have permission to veiw?
      isAllowedTo('view_gameroom'); 
	
	$context['sub_template'] = 'game';
	$context['page_title'] = $txt['shop_tab_gr'];
	 
		$context['shop']['view_gameroom'] = hasgamePass();
		if (!$context['shop']['view_gameroom'])
		{
			$context['shop']['notice'] = $txt['shop_game_pass_note'];
		}
		
	$context['gameroom'] = empty($_GET['game']) ? '' : $_GET['game'];

	if ($context['gameroom'] == "slots")
		slots();
	elseif ($context['gameroom'] == "lucky2")
		Lucky2();
	elseif ($context['gameroom'] == "numslots")
		numberSlots();
	elseif ($context['gameroom'] == "pairs")
		pairs();
	elseif ($context['gameroom'] == "dice")
		dice();
}
	  
function Lucky2() {

global $context, $smcFunc, $modSettings, $settings, $boardurl, $user_info, $userid, $txt, $shop, $scripturl;


	$context['sub_template'] = 'lucky2';
	$context['page_title'] = $txt['shop_game_lucky2'];
	// Add it to the linktree
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=shop;sa=gamesroom;game=lucky2',
		'name' => $txt['shop_game_lucky2'],
		);
	
$lucks = array ('<img src="'. $settings['images_url']. '/ShopGamesImages/lucky2/dice1.png" alt=""/>', 
                '<img src="'. $settings['images_url']. '/ShopGamesImages/lucky2/dice_2-r-2.png" alt=""/>', 
				'<img src="'. $settings['images_url']. '/ShopGamesImages/lucky2/dice_3-r-2.png" alt=""/>', 
				'<img src="'. $settings['images_url']. '/ShopGamesImages/lucky2/dice_4-r-1.png" alt=""/>', 
				'<img src="'. $settings['images_url']. '/ShopGamesImages/lucky2/dice_5-r-1.png" alt=""/>', 
				'<img src="'. $settings['images_url']. '/ShopGamesImages/lucky2/dice_6-r-2.png" alt=""/>');

$payouts = array (
    
    '<img src="'. $settings['images_url']. '/ShopGamesImages/lucky2/dice_2-r-2.png" alt=""/>' => '1000',);

$dice1 = array();
foreach ($lucks as $luck) {
    $dice1[] = $luck;
}
$dice2 = array_reverse($dice1);
$dice3 = $dice1;
$pay = !empty($_POST['payline']) ? (int) $_POST['payline'] : 0;

if (isset($pay)) {
    list($startd1, $startd2, $startd3) = ($pay);
} else {
    list($startd1, $startd2, $startd3) = array(0,0,0);
}

$stopd1 = mt_rand(count($dice1)+$startd1, 10*count($dice1)) % count($dice1);

$result1 = $dice1[$stopd1];

	$context['lucky2'] ='' . $result1 . '<br />';

	if (isset($payouts[$result1])) {
	
	$final_value =  $user_info['cash'] + $payouts[$result1];
        updateMemberData($context['user']['id'], array('cash' => $final_value));
		
	// give the payout
   $context['win'] ='<br /><div align="center"><b>'.$txt['shop_game_won'].': + '.$modSettings['shopprefix'].'' . $payouts[$result1].''.$modSettings['shopsurfix']. '</b></div>';
}
else
{
              
				$final_value1 =  $user_info['cash'] - 100;
        updateMemberData($context['user']['id'], array('cash' => $final_value1));
					
	  $context['nowin'] ='<br /><div align="center">'.$txt['shop_game_loos'].': - '.$modSettings['shopprefix'].'100'.$modSettings['shopsurfix']. '</div>';
}
}

function dice() {

global $context, $smcFunc, $modSettings, $settings, $boardurl, $user_info, $userid, $txt, $shop, $scripturl;

	$context['sub_template'] = 'dice';
	$context['page_title'] = $txt['shop_game_dice'];
	// Add it to the linktree
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=shop;sa=gamesroom;game=dice',
		'name' => $txt['shop_game_dice'],
		);
	
$lucks = array ('<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice1.png" alt=""/>', 
                '<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice2.png" alt=""/>', 
				'<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice3.png" alt=""/>', 
				'<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice4.png" alt=""/>', 
				'<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice5.png" alt=""/>', 
				'<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice6.png" alt=""/>');

$payouts = array (
    '<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice1.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice2.png" alt=""/>' => '550',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice3.png" alt=""/>' => '750',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice4.png" alt=""/>' => '900',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice5.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice5.png" alt=""/>' => '1500',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice6.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/dice/blackdice6.png" alt=""/>' => '2000',
	);

$dice1 = array();
foreach ($lucks as $luck) {
    $dice1[] = $luck;
}
$dice2 = array_reverse($dice1);
$dice3 = $dice1;

if (isset($pay)) {
$pay = !empty($_POST['payline']) ? (int) $_POST['payline'] : 0;
    list($startd1, $startd2, $startd3) = ($Pay);
} else {
    list($startd1, $startd2, $startd3) = array(0,0,0);
}

$stopd1 = mt_rand(count($dice1)+$startd1, 10*count($dice1)) % count($dice1);
$stopd2 = mt_rand(count($dice1)+$startd2, 10*count($dice1)) % count($dice1);


$result1 = $dice1[$stopd1];
$result2 = $dice2[$stopd2];


	$context['dice'] ='' . $result1 . '' . $result2 . '<br />';

	if (isset($payouts[$result1.'|'.$result2])) {
	
	
	$final_value2 =  $user_info['cash'] + $payouts[$result1.'|'.$result2];
        updateMemberData($context['user']['id'], array('cash' => $final_value2));
	 
	// give the payout
   $context['win'] ='<br /><div align="center"><b>'.$txt['shop_game_won'].': + '.$modSettings['shopprefix'].'' . $payouts[$result1.'|'.$result2].''.$modSettings['shopsurfix']. '</b></div>';
}
else
{              
              $final_value3 =  $user_info['cash'] - 100;
        updateMemberData($context['user']['id'], array('cash' => $final_value3));			  
					
	  $context['nowin'] ='<br /><div align="center">'.$txt['shop_game_loos'].': - '.$modSettings['shopprefix'].'100'.$modSettings['shopsurfix']. '</div>';
}
}

function slots() {

global $context, $smcFunc, $modSettings, $settings, $user_info, $userid, $txt, $shop, $scripturl;

	$context['sub_template'] = 'slots';
    $context['page_title'] = $txt['shop_game_slots'];
	// Add it to the linktree
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=shop;sa=gamesroom;game=slots',
		'name' => $txt['shop_game_slots'],
		);
	
$faces = array ('<img src="'. $settings['images_url']. '/ShopGamesImages/slots/7.png" alt=""/>', '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/bell.png" alt=""/>', '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/cherry.png" alt=""/>', '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/lemon.png" alt=""/>', '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/orange.png" alt=""/>', '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/plum.png" alt=""/>', '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/dollar.png" alt=""/>', '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/melon.png" alt=""/>', '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/grapes.png" alt=""/>');

$payouts = array (
    '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/7.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/7.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/7.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/bell.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/bell.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/bell.png" alt=""/>' => '150',
	'<img src="'. $settings['images_url']. '/ShopGamesImages/slots/plum.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/plum.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/plum.png" alt=""/>' => '65',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/lemon.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/lemon.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/lemon.png" alt=""/>' => '20',
	'<img src="'. $settings['images_url']. '/ShopGamesImages/slots/orange.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/orange.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/orange.png" alt=""/>' => '75',
	'<img src="'. $settings['images_url']. '/ShopGamesImages/slots/cherry.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/cherry.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/cherry.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/dollar.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/dollar.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/dollar.png" alt=""/>' => '100',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/melon.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/melon.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/melon.png" alt=""/>' => '700',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/slots/grapes.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/grapes.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/slots/grapes.png" alt=""/>' => '400',
);

$wheel1 = array();
foreach ($faces as $face) {
    $wheel1[] = $face;
}
$wheel2 = array_reverse($wheel1);
$wheel3 = $wheel1;

if (isset($pay)) {
$pay = !empty($_POST['payline']) ? (int) $_POST['payline'] : 0;

    list($start1, $start2, $start3) = ($pay);
} else {
    list($start1, $start2, $start3) = array(0,0,0);
}

$stop1 = mt_rand(count($wheel1)+$start1, 10*count($wheel1)) % count($wheel1);
$stop2 = mt_rand(count($wheel1)+$start2, 10*count($wheel1)) % count($wheel1);
$stop3 = mt_rand(count($wheel1)+$start3, 10*count($wheel1)) % count($wheel1);

$result1 = $wheel1[$stop1];
$result2 = $wheel2[$stop2];
$result3 = $wheel3[$stop3];

	$context['slotm'] ='' . $result1 . ' ' . $result2 . ' ' . $result3 . '<br />';
	if (isset($payouts[$result1.'|'.$result2.'|'.$result3])) {
	
	$final_value4 =  $user_info['cash'] + $payouts[$result1.'|'.$result2.'|'.$result3];
        updateMemberData($context['user']['id'], array('cash' => $final_value4));
					
    // give the payout
    $context['win'] ='<div align="center"><b>'.$txt['shop_game_won'].': + '.$modSettings['shopprefix'].'' . $payouts[$result1.'|'.$result2.'|'.$result3].''.$modSettings['shopsurfix'].'</b></div>';
}
else
{
            $final_value5 =  $user_info['cash'] - 100;
        updateMemberData($context['user']['id'], array('cash' => $final_value5));
					
	  $context['nowin'] ='<br /><div align="center">'.$txt['shop_game_loos'].': - '.$modSettings['shopprefix'].'100'.$modSettings['shopsurfix'].'</div>';
}
}

function numberSlots() {
  global $shop, $context, $txt, $user_info, $smcFunc, $scripturl;
  
  $context['sub_template'] = 'numberslots';
   $context['page_title'] = $txt['shop_game_numberslots'];
   // Add it to the linktree
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=shop;sa=gamesroom;game=numslots',
		'name' => $txt['shop_game_numberslots'],
		);
  
  $r1 = mt_rand(0,9);
  $r2 = mt_rand(0,9);
  $r3 = mt_rand(0,9);
  
  if ($r1 == $r2) {
    if ($r2 == $r3) {
 
  $final_value6 =  $user_info['cash'] + 2000;
        updateMemberData($context['user']['id'], array('cash' => $final_value6));
 
    }
    else {
  
  $final_value7 =  $user_info['cash'] + 300;
        updateMemberData($context['user']['id'], array('cash' => $final_value7));
  
    }
  }
  elseif ($r2 == $r3) {
    if ($r1 != $r2) {
	
 $final_value8 =  $user_info['cash'] + 250;
        updateMemberData($context['user']['id'], array('cash' => $final_value8));
 
    }
  }
  elseif ($r1 == $r3) {
  
  $final_value9 =  $user_info['cash'] + 350;
        updateMemberData($context['user']['id'], array('cash' => $final_value9));
  }
  else {
  
  $final_value10 =  $user_info['cash'] - 100;
        updateMemberData($context['user']['id'], array('cash' => $final_value10));
 
  }
}

function pairs() {

global $context, $smcFunc, $modSettings, $settings, $user_info, $userid, $txt, $shop, $scripturl;

	$context['sub_template'] = 'pairs';
    $context['page_title'] = $txt['shop_game_pairs'];
	// Add it to the linktree
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=shop;sa=gamesroom;game=pairs',
		'name' => $txt['shop_game_pairs'],
		);
	
$faces = array (
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_1.png" alt=""/>', 
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_2.png" alt=""/>', 
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_3.png" alt=""/>', 
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_4.png" alt=""/>', 
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_1.png" alt=""/>', 
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_4.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_1.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_2.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_3.png" alt=""/>',
'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_4.png" alt=""/>
');

$payouts = array (
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/1_4.png" alt=""/>' => '100',
  
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/2_4.png" alt=""/>' => '100',
  
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/3_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/4_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/5_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/6_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/7_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/8_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/9_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/10_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/11_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/12_4.png" alt=""/>' => '100',
	
	'<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_1.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_1.png" alt=""/>' => '2000',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_2.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_2.png" alt=""/>' => '150',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_3.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_3.png" alt=""/>' => '50',
    '<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_4.png" alt=""/>|<img src="'. $settings['images_url']. '/ShopGamesImages/pair/13_4.png" alt=""/>' => '100',
  
  
  
 
);

$wheel1 = array();
foreach ($faces as $face) {
    $wheel1[] = $face;
}
$wheel2 = array_reverse($wheel1);
$wheel3 = $wheel1;

if (isset($pay)) {
$pay = !empty($_POST['payline']) ? (int) $_POST['payline'] : 0;

    list($start1, $start2, $start3) = ($pay);
} else {
    list($start1, $start2, $start3) = array(0,0,0);
}

$stop1 = mt_rand(count($wheel1)+$start1, 10*count($wheel1)) % count($wheel1);
$stop2 = mt_rand(count($wheel1)+$start2, 10*count($wheel1)) % count($wheel1);


$result1 = $wheel1[$stop1];
$result2 = $wheel2[$stop2];


	$context['slotm'] ='' . $result1 . ' ' . $result2 . ' <br />';
	if (isset($payouts[$result1.'|'.$result2])) {
	
	$final_value11 =  $user_info['cash'] + $payouts[$result1.'|'.$result2];
        updateMemberData($context['user']['id'], array('cash' => $final_value11));
		
					
    // give the payout
    $context['win'] ='<div align="center"><b>'.$txt['shop_game_won'].': + '.$modSettings['shopprefix'].'' . $payouts[$result1.'|'.$result2].''.$modSettings['shopsurfix'].'</b></div>';
}
else
{
                $final_value11 =  $user_info['cash'] - 100;
        updateMemberData($context['user']['id'], array('cash' => $final_value11));
		
	  $context['nowin'] ='<br /><div align="center">'.$txt['shop_game_loos'].': - '.$modSettings['shopprefix'].'100'.$modSettings['shopsurfix'].'</div>';
}
}
?>